<?
if (isset($_POST['save']) && isset($_POST['msg']))
{

$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024)$err='Сообщение превышает 1024 символа';
if (strlen2($msg)<2)$err='Слишком короткое сообщение';
if (!isset($err))
{
$q=mysql_querll("SELECT `id` FROM `kolhoz_user` WHERE `id` != $user[id]");
$msg=mysql_escape_string($msg);
while ($us = mysql_fetch_array($q))
{
mysql_querll("INSERT INTO `kolhoz_mail` (`id_user`, `id_kont`, `msg`, `time`, `type`) values('$user[id]', '$us[id]', '$msg', '$time', 'to')");
}

msg('Сообщения успешно отправлены');



}



}



$count=mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_user`"),0);
echo'Всего пользователей: <b>'.$count.'</b><br/>';
echo "<form method=\"post\" action=\"?\">\n";
echo "Сообщение:<br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит<br />\n";

echo "<input value=\"Отправить\" name='save' type=\"submit\" />\n";
echo "</form>\n";


?>